Xref: alice comp.databases.oracle.server:28181
Path: alice!news-feed.fnsi.net!news.idt.net!news-peer.gip.net!news-raspail.gip.net!news.gsl.net!gip.net!news.belnet.be!news-zh.switch.ch!dino.active.ch!usenet
From: Bernd Goetz <goetz@tarsec.com>
Newsgroups: comp.databases.oracle.server
Subject: inserts with automatic time stamp
Date: Wed, 02 Sep 1998 11:49:47 +0200
Organization: TARSEC AG, Switzerland
Lines: 29
Message-ID: <35ED14BB.658DA52F@tarsec.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Mailer: Mozilla 4.05 [en] (WinNT; I)

Hi

I've got a log table in which I also want to store the current date and time. I do it like this:

<<
insert into applog (pname, pversion, type, userid, created, msg) 
 values ('PL', '0.9.0', 'LOGON', 'bgo', 
  to_date(to_char(sysdate, 'MM/DD/YYYY HH24:MI:SS'), 'MM/DD/YYYY HH24:MI:SS'), 
  'by hand')
>>

I didn't find another way of solving this. What do you think? Did I miss something? btw: this is
important: I want to keep the database format as independent from any specialities of Oracle as
possible. Hence no special purpose current time data types are allowed.

Sybase is much more elegant than Oracle here:
<<
insert into .... values (...., gettime(), ...)
>>
because Sybase has a proper datetime type.

thanks for help and kind regards 

Bernd.
-- 
Bernd Gtz                                      goetz@tarsec.com
TARSEC AG                                       Tel +41 1 496 61 11
Rautistrasse 12                                 Fax +41 1 496 61 99
8047 Zrich, Switzerland                        http://www.tarsec.com
